Bug 1883678 - tag ironic packages with fixes for agent token
Summary: tag ironic packages with fixes for agent token
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Bob Fournier
QA Contact: Polina Rabinovich
URL:
Whiteboard:
Depends On:
Blocks: 1883569
TreeView+ depends on / blocked
 
Reported: 2020-09-29 20:24 UTC by Bob Fournier
Modified: 2020-10-27 16:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:46:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:46:51 UTC

Description Bob Fournier 2020-09-29 20:24:45 UTC
Description of problem:

There is a bug in OCP 4.6 with agent tokens that is resolved upstream.  The bug is being tracked here https://bugzilla.redhat.com/show_bug.cgi?id=1883569 and it includes the 2 fixes.

Ironic-image is currently using the ironic packages from openstack-ironic-conductor-1:15.1.1-0.20200724075308.3e92fd0.el8ost (https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=1266093).  They should be upgraded to openstack-ironic-15.2.1-0.20200929104811.fb90ed4.el8ost (https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=1334423) to pick up these 2 fixes.

Testing these new packages has uncovered two dependency issues:
Problem 1: conflicting requests
  - nothing provides python3-alembic >= 1.4.2 needed by openstack-ironic-common-1:15.2.1-0.20200929104811.fb90ed4.el8ost.noarch
  - nothing provides python3-oslo-db >= 6.0.0 needed by openstack-ironic-common-1:15.2.1-0.20200929104811.fb90ed4.el8ost.noarch

It looks like there is a newer version in brew for oslo-db that will satisfy this requirement - https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=1325680.  It would need to be tagged.  However there is no python-alembic available in brew, the latest is python-alembic-1.3.1-1.el8ost.

Comment 1 Bob Fournier 2020-09-29 20:43:01 UTC
The change that introduced the dependency issues is https://review.opendev.org/#/c/750908/

Comment 2 Bob Fournier 2020-09-30 16:34:31 UTC
The ironic pkg and dependencies have been tagged successfully:

[stack@host01 ~]$ brew tag-build rhaos-4.6-rhel-8-candidate python-alembic-1.4.2-5.el8ost
...
31648896 tagBuild (noarch) completed successfully
[stack@host01 ~]$ brew tag-build rhaos-4.6-rhel-8-candidate python-oslo-db-8.4.0-0.20200918104110.e42c733.el8ost
...
31648931 tagBuild (noarch) completed successfully
[stack@host01 ~]$ brew tag-build rhaos-4.6-rhel-8-candidate openstack-ironic-15.2.1-0.20200929104811.fb90ed4.el8ost
...
31649029 tagBuild (noarch) completed successfully

Comment 4 Polina Rabinovich 2020-10-01 08:42:13 UTC
1. I checked on brew https://brewweb.engineering.redhat.com/brew/
2. I searched for ironic-container
https://brewweb.engineering.redhat.com/brew/packageinfo?packageID=72194
3. I opened one of the v4.6.0 link with the green check:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=1336575
4. I checked x86_64-build.log logs of the build 
http://download.eng.bos.redhat.com/brewroot/packages/ironic-container/v4.6.0/202009301654.p0/data/logs/x86_64-build.log

5. I confronted the versions with the versions in the bug. They are the same.

Version from the x86_64-build.log - python3-alembic-1.4.2-5.el8ost.noarch          
Version from the bug - python-alembic-1.4.2-5.el8ost


Version from the x86_64-build.log - python3-oslo-db-8.4.0-0.20200918104110.e42c733.el8ost.noarch           
Version from the bug - python-oslo-db-8.4.0-0.20200918104110.e42c733.el8ost


Version from the x86_64-build.log - openstack-ironic-api-1:15.2.1-0.20200929104811.fb90ed4.el8ost.noarch           
Version from the bug - openstack-ironic-15.2.1-0.20200929104811.fb90ed4.el8ost

Comment 7 errata-xmlrpc 2020-10-27 16:46:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.